Bug 229542 - New port: devel/binaryen, WebAssembly toolchain
Summary: New port: devel/binaryen, WebAssembly toolchain
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-05 13:44 UTC by Greg V
Modified: 2018-07-12 19:21 UTC (History)
1 user (show)

See Also:


Attachments
binaryen.patch (1.73 KB, patch)
2018-07-05 13:44 UTC, Greg V
no flags Details | Diff
binaryen.patch v2 (1.75 KB, patch)
2018-07-12 19:02 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-07-05 13:44:14 UTC
Created attachment 194900 [details]
binaryen.patch

https://github.com/WebAssembly/binaryen

Really simple port.
Comment 1 Yuri Victorovich freebsd_committer 2018-07-11 21:21:34 UTC
Build fails:

FAILED: src/passes/WasmIntrinsics.cpp
cd /usr/ports/devel/binaryen/work/.build/src/passes && python /usr/ports/devel/binaryen/work/binaryen-1.38.6/scripts/embedwast.py /usr/ports/devel/binaryen/work/binaryen-1.38.6/src/passes/wasm-intrinsics.wast /usr/ports/devel/binaryen/work/.build/src/passes/WasmIntrinsics.cpp
/bin/sh: python: not found

Please note that Arch AUR port also depends on python-2.

You needs to either remove python dependency, if possible, or add USES=python and either correct the 'python' executable name or use BINARY_ALIAS=python=${PYTHON_CMD}.

Thanks!
Yuri
Comment 2 Greg V 2018-07-12 19:02:20 UTC
Created attachment 195092 [details]
binaryen.patch v2

Added python build dependency + updated version.
Comment 3 Yuri Victorovich freebsd_committer 2018-07-12 19:21:20 UTC
Committed with small changes.
Thank you for your contribution!
Comment 4 commit-hook freebsd_committer 2018-07-12 19:21:28 UTC
A commit references this bug:

Author: yuri
Date: Thu Jul 12 19:20:58 UTC 2018
New revision: 474533
URL: https://svnweb.freebsd.org/changeset/ports/474533

Log:
  New port: devel/binaryen: Compiler infrastructure and toolchain library for WebAssembly

  PR:		229542
  Submitted by:	Greg V <greg@unrelenting.technology>

Changes:
  head/devel/Makefile
  head/devel/binaryen/
  head/devel/binaryen/Makefile
  head/devel/binaryen/distinfo
  head/devel/binaryen/pkg-descr
  head/devel/binaryen/pkg-plist